<?php

namespace App\Traits\Components;

trait WithRoleSelector
{
    public function selectAllRoles(): void
    {
        $this->form->role_ids = array_keys($this->roles);
    }

    public function deselectAllRoles(): void
    {
        $this->form->role_ids = [];
    }
}
